VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::CommandTypes::OptionInfo Class Reference

The `Command.OptionInfo` class describes information about a specific input option of a command. More...

List of all members.

## Public Member Functions
| OptionInfo ()
| Creates a default new instance.
string | GetLongOption ()
| The long option name of the parameter as used by the user.
void | SetLongOption (string longOption)
| The long option name of the parameter as used by the user.
string | GetShortOption ()
| The single character value option name.
void | SetShortOption (string shortOption)
| The single character value option name.
string | GetFieldName ()
| The fully qualified name of the option referred to by the operation element in Command.Info.operationId .
void | SetFieldName (string fieldName)
| The fully qualified name of the option referred to by the operation element in Command.Info.operationId .
string | GetDescription ()
| The description of the option to be displayed to the user when they request usage information for a CLI command.
void | SetDescription (string description)
| The description of the option to be displayed to the user when they request usage information for a CLI command.
string | Get_Type ()
| The type of option.
void | SetType (string type)
| The type of option.
vmware.vapi.metadata.cli.CommandTypes.GenericType | GetGeneric ()
| This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times.
void | SetGeneric (vmware.vapi.metadata.cli.CommandTypes.GenericType generic)
| This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Command.OptionInfo` class describes information about a specific input option of a command.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::CommandTypes::OptionInfo::OptionInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::CommandTypes::OptionInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::CommandTypes::OptionInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::CommandTypes::OptionInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::CommandTypes::OptionInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::CommandTypes::OptionInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::Get_Type | ( |  | ) | `[inline]`

The type of option.

This is used to display information about what kind of data is expected (string, number, boolean, etc.) for the option when they request usage information for a CLI command. For enumerated type this stores the fully qualified enumerated type id.

string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetDescription | ( |  | ) | `[inline]`

The description of the option to be displayed to the user when they request usage information for a CLI command.

string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetFieldName | ( |  | ) | `[inline]`

The fully qualified name of the option referred to by the operation element in Command.Info.operationId .

vmware.vapi.metadata.cli.CommandTypes.GenericType vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetGeneric | ( |  | ) | `[inline]`

This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times.

override int vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetLongOption | ( |  | ) | `[inline]`

The long option name of the parameter as used by the user.

string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::GetShortOption | ( |  | ) | `[inline]`

The single character value option name.

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetDescription | ( | string | description | ) | `[inline]`

The description of the option to be displayed to the user when they request usage information for a CLI command.

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetFieldName | ( | string | fieldName | ) | `[inline]`

The fully qualified name of the option referred to by the operation element in Command.Info.operationId .

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetGeneric | ( | vmware.vapi.metadata.cli.CommandTypes.GenericType | generic | ) | `[inline]`

This is used to tell the user whether the option is required or optional, or whether they can specify the option multiple times.

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetLongOption | ( | string | longOption | ) | `[inline]`

The long option name of the parameter as used by the user.

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetShortOption | ( | string | shortOption | ) | `[inline]`

The single character value option name.

void vmware::vapi::metadata::cli::CommandTypes::OptionInfo::SetType | ( | string | type | ) | `[inline]`

The type of option.

This is used to display information about what kind of data is expected (string, number, boolean, etc.) for the option when they request usage information for a CLI command. For enumerated type this stores the fully qualified enumerated type id.

override string vmware::vapi::metadata::cli::CommandTypes::OptionInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CommandTypes.cs